<?php

namespace App\Dto\Input;

use App\Entity\GitImageRepository;
use App\Entity\ImageImageRepository;
use Symfony\Component\Serializer\Annotation\Groups;

final class GitImageRepositoryInput
{
    #[Groups(['git-image-repository:write'])]
    public ?string $name = '';

    public function __construct(?GitImageRepository $gitImageRepository = null)
    {
        if (!$gitImageRepository) {
            return;
        }

        $this->name = $gitImageRepository->getName();
    }

    public function createOrUpdateEntity(?GitImageRepository $gitImageRepository = null): GitImageRepository
    {
        if (!$gitImageRepository) {
            $gitImageRepository = new GitImageRepository();
        }

        $gitImageRepository->setName($this->name);

        return $gitImageRepository;
    }
}